org.apache.tinkerpop.gremlin.groovy

## Class NoImportCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.NoImportCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider, ImportCustomizerProvider

  Deprecated.
  As of release 3.2.5, replaced by `ImportCustomizer`

      @Deprecated
      public final class NoImportCustomizerProvider
      extends Object
      implements ImportCustomizerProvider

  Provides no imports.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NoImportCustomizerProvider` | `INSTANCE` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationCustomizer` | `create()` Deprecated. Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
    `Set<String>` | `getExtraImports()` Deprecated.
    `Set<String>` | `getExtraStaticImports()` Deprecated.
    `Set<String>` | `getImports()` Deprecated.
    `Set<String>` | `getStaticImports()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final NoImportCustomizerProvider INSTANCE

      Deprecated.

  - ### Method Detail

    - #### create

          public CompilationCustomizer create()

      Deprecated.
      Description copied from interface: `CompilerCustomizerProvider`
      Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
      Specified by:
        `create` in interface `CompilerCustomizerProvider`

    - #### getExtraImports

          public Set<String> getExtraImports()

      Deprecated.
      Specified by:
        `getExtraImports` in interface `ImportCustomizerProvider`

    - #### getExtraStaticImports

          public Set<String> getExtraStaticImports()

      Deprecated.
      Specified by:
        `getExtraStaticImports` in interface `ImportCustomizerProvider`

    - #### getImports

          public Set<String> getImports()

      Deprecated.
      Specified by:
        `getImports` in interface `ImportCustomizerProvider`

    - #### getStaticImports

          public Set<String> getStaticImports()

      Deprecated.
      Specified by:
        `getStaticImports` in interface `ImportCustomizerProvider`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.